<?php
include "../../inc/inc.koneksi.php";

$kodeaw	=$_POST[kodeaw];
$kodeak	=$_POST[kodeak];

$sql	= mysql_query("SELECT * FROM interface");
$r 	= mysql_fetch_assoc($sql);

$labapb 	= $r[laba_pb];
$labrug 	= $r[laba_rugi];
$nosublpb	= substr($labapb,0,3);
$nosublr 	= substr($labrug,0,3);

$query = mysql_query("SELECT * FROM jurkm WHERE kode_km BETWEEN '$kodeaw' AND '$kodeak' AND posting='' ORDER BY kode_km");

while($data=mysql_fetch_array($query)){
	$kodekm = $data[kode_km];
	$tanggal= $data[tanggal];
	$nokas 	= $data[nokas];
	$noakun = $data[noakun];
	$nobp 	= $data[nobp];
	$nopol	= $data[nopol];
	$jumlah	= $data[jumlah];
	$ket 	= $data[keterangan];
	$user 	= $data[user];
	$nosubks= substr($nokas,0,3);
	$nosubak= substr($noakun,0,3);
	$kelakun= (int) substr($noakun,0,1);
	
	// --->debet kas bertambah
	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$nokas'");
	
	// --->jika kode akun buku besar adalah piutang dagang, kurangi saldo piutang
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kodekm','JKM','$tanggal','$kodekm','$nokas','$nosubks','$jumlah','$ket','$user')");
	
	// --->kredit akun bertambah
	mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$noakun'");
		
	if(!($nobp=='')){
		// --->Jika akun buku pembantu tidak kosong, kredit bertambah
		mysql_query("UPDATE akun_bp SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$nobp'");
	}
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,nobp,nopol,kredit,keterangan,user) VALUES('$kodekm','JKM','$tanggal','$kodekm','$noakun','$nosubak','$nobp','$nopol','$jumlah','$ket','$user')");
	
	if($kelakun>3){
		// --->laba rugi debet
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$labrug'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,debet,keterangan,user) VALUES('$kodekm','JKM','$tanggal','$kodekm','$labrug','$nosublr','$jumlah','$ket','$user')");

		// --->laba periode berjalan kredit
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$labapb'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,noakun,nosub,kredit,keterangan,user) VALUES('$kodekm','JKM','$tanggal','$kodekm','$labapb','$nosubpb','$jumlah','$ket','$user')");
	}
}
mysql_query("UPDATE jurkm SET posting='P' WHERE kode_km BETWEEN '$kodeaw' AND '$kodeak' ");
?>